おのーまたエラー

libtool.m4 にパッチを当てる必要があるらしい。ほとんどこの人と同じことをしている。

http://www.liarsoft.org/diary/20080229.html

後追いすればいいので楽チン。といいつつ
「当てても同じ箇所でエラーが出るのでおかしいなと思ったらソースディレクトリでautoconfしてconfigureを作り直さなきゃいけなかったのね。」
同じすぎるだろ。

参考までに書くとここで言うソースディレクトリは libstdc++v3 。トップディレクトリで autoconf しても同じ configure が生成されるだけだった。
各ディレクトリに似たような configure があるので libstdc++v3 以外でも必要に応じて autoconf する必要あり。